<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>CLE2MultiPolylineGeometry (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CLE2MultiPolylineGeometry (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CLE2MultiPolylineGeometry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolygonGeometry.html" title="class in com.here.android.mpa.customlocation2"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2OperationResult.html" title="class in com.here.android.mpa.customlocation2"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html" target="_top">Frames</a></li>
<li><a href="CLE2MultiPolylineGeometry.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.customlocation2</div>
<h2 title="Class CLE2MultiPolylineGeometry" class="title">Class CLE2MultiPolylineGeometry</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html" title="class in com.here.android.mpa.customlocation2">com.here.android.mpa.customlocation2.CLE2Geometry</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.customlocation2.CLE2MultiPolylineGeometry</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">CLE2MultiPolylineGeometry</span>
extends <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html" title="class in com.here.android.mpa.customlocation2">CLE2Geometry</a></pre>
<div class="block">Specifies a user-defined multi polyline geometry. A multi polyline geometry represent a list of
 <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html#CLE2MultiPolylineGeometry-java.util.List-">CLE2MultiPolylineGeometry</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt; polylines)</code>
<div class="block">Creates a new multi polyline geometry defined by the supplied list of <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a>s.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html#getMapPolylines--">getMapPolylines</a></span>()</code>
<div class="block">Gets the list of <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a> that are
 created from <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> to be added onto the
 map.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html#getPolylines--">getPolylines</a></span>()</code>
<div class="block">Gets the list of <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> of this
 geometry.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html#setPolylines-java.util.List-">setPolylines</a></span>(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt; polylines)</code>
<div class="block">Sets a lists of polylines to define the shape of this <code>CLE2MultiPolylineGeometry</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.customlocation2.CLE2Geometry">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.customlocation2.<a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html" title="class in com.here.android.mpa.customlocation2">CLE2Geometry</a></h3>
<code><a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#getAttributes--">getAttributes</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#getDistance--">getDistance</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#getGeometryId--">getGeometryId</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#hashCode--">hashCode</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#isLocal--">isLocal</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#setAttribute-java.lang.String-java.lang.String-">setAttribute</a>, <a href="../../../../../com/here/android/mpa/customlocation2/CLE2Geometry.html#setAttributes-java.util.Map-">setAttributes</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CLE2MultiPolylineGeometry-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CLE2MultiPolylineGeometry</h4>
<pre>public CLE2MultiPolylineGeometry(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt; polylines)</pre>
<div class="block">Creates a new multi polyline geometry defined by the supplied list of <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a>s.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>polylines</code> - list of polylines defining the shape of this <code>CLE2MultiPolylineGeometry</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>polylines</code> is <code>null</code>, empty or contains <code>null</code> or invalid
             (ie. containing less than two points) elements</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getPolylines--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPolylines</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt; getPolylines()</pre>
<div class="block">Gets the list of <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> of this
 geometry.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a>.</dd>
</dl>
</li>
</ul>
<a name="setPolylines-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPolylines</h4>
<pre>public void setPolylines(java.util.List&lt;<a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common">GeoPolyline</a>&gt; polylines)</pre>
<div class="block">Sets a lists of polylines to define the shape of this <code>CLE2MultiPolylineGeometry</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>polylines</code> - list of polylines defining the shape of this <code>CLE2MultiPolylineGeometry</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - if <code>polylines</code> is <code>null</code>, empty or contains <code>null</code> or invalid
             (ie. containing less than two points) elements</dd>
</dl>
</li>
</ul>
<a name="getMapPolylines--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMapPolylines</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a>&gt; getMapPolylines()</pre>
<div class="block">Gets the list of <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a> that are
 created from <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> to be added onto the
 map.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of <a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><code>MapPolyline</code></a> OR <code>null</code>
         if creating map polylines is not possible with
         <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolylines</code></a>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html#MapPolyline-com.here.android.mpa.common.GeoPolyline-"><code>MapPolyline.MapPolyline(GeoPolyline)</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CLE2MultiPolylineGeometry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2MultiPolygonGeometry.html" title="class in com.here.android.mpa.customlocation2"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/customlocation2/CLE2OperationResult.html" title="class in com.here.android.mpa.customlocation2"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/customlocation2/CLE2MultiPolylineGeometry.html" target="_top">Frames</a></li>
<li><a href="CLE2MultiPolylineGeometry.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
